I don't want the new Client.

I'll be honest; **I'm playing on a potato.** I don't like the new client, it's too slow and it runs poorly on my PC. I did use the "Launch Legacy Client" link, but the most recent update broke it, and upon clicking the link, the client crashes and fails to load. Please don't make the client update mandantory. Tl:Dr _ I'M A SKRUB AND I CAN'T RUN NEW CLIENT_
Share
Report as:
Offensive Spam Harassment Incorrect Board
Cancel